ASE-DB(1)

NAME
ase-db - Put stuff into or query database

DESCRIPTION
Please use "ase db" instead of "ase-db" usage: ase db [-h] [-v] [-q] [-n] [-l] [-i db-name] [-a filename]

    [-k key1=val1,key2=val2,...] [-L N] [--offset N] [--delete] [--delete-keys key1,key2,...] [-y] [--explain] [-c col1,col2,...] [-s column] [--cut CUT] [-p x,y1,y2,...] [-P name] [--csv] [-w] [--no-lock-file] [--analyse] [-j] [-m] [--set-metadata something.json] [-M something.py] [--unique] database [query [query ...]]

Selection is a comma-separated list of selections where each selection is of the type "ID", "key" or "key=value". Instead of "=", one can also use "<", "<=", ">=", ">" and "!=" (these must be protected from the shell by using quotes). Special keys: id, user, calculator, age, natoms, energy, magmom, and charge. Chemical symbols can also be used to select number of specific atomic species (H, He, Li, ...). Selection examples: 'calculator=nwchem', 'age<1d', 'natoms=1', 'user=alice', '2.2<bandgap<4.1', 'Cu>=10'

  positional arguments:

    database query

  optional arguments:

-h, --help
    show this help message and exit

-v, --verbose

-q, --quiet

-n, --count
    Count number of selected rows.

-l, --long
    Long description of selected row

-i db-name, --insert-into db-name
    Insert selected rows into another database.

-a filename, --add-from-file filename
    Add results from file.

-k key1=val1,key2=val2,..., --add-key-value-pairs key1=val1,key2=val2,...
    Add key-value pairs to selected rows. Values must be numbers or strings and keys must follow the same rules as keywords.

-L N, --limit N
    Show only first N rows (default is 20 rows). Use --limit=0 to show all.

--offset N
    Skip first N rows. By default, no rows are skipped

--delete
    Delete selected rows.

--delete-keys key1,key2,...
    Delete keys for selected rows.

-y, --yes
    Say yes.

--explain
    Explain query plan.

-c col1,col2,..., --columns col1,col2,...
    Specify columns to show. Precede the column specification with a "+" in order to add columns to the default set of columns. Precede by a "-" to remove columns. Use "++" for all.

-s column, --sort column
    Sort rows using column. Use -column for a descendin sort. Default is to sort after id.

--cut CUT
    Cut keywords and key-value columns after CUT characters. Use --cut=0 to disable cutting. Default is 35 characters

-p x,y1,y2,..., --plot x,y1,y2,...
    Example: "-p x,y": plot y row against x row. Use "-p a:x,y" to make a plot for each value of a.

-P name, --plot-data name
    Show plot from data['name'] from the selected row.

--csv
    Write comma-separated-values file.

-w, --open-web-browser
    Open results in web-browser.

--no-lock-file
    Don't use lock-files

--analyse
    Gathers statistics about tables and indices to help make better query planning choices.

-j, --json
    Write json representation of selected row.

-m, --show-metadata
    Show metadata as json.

--set-metadata something.json
    Set metadata from a json file.

-M something.py, --metadata-from-python-script something.py
    Use metadata from a Python file.

--unique
    Give rows a new unique id when using --insert-into.